# Class ReportProxyDAOTest

java.lang.Object
ReportProxyDAOTest

public class ReportProxyDAOTest extends Object
Test class for ReportProxyDAO. It tests the doSave method.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportProxyDAOTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Clears the test environment.
  `void`
  `setUp()`
  Sets up the test environment.
  `void`
  `testInvalidReasonLength()`
  Tests the TC_2.1_1 Test case.
  `void`
  `testInvalidReasonLengthHashMap()`
  Tests the TC_2.1_1 Test case.
  `void`
  `testValidReasonLength()`
  Tests the TC_2.1_2 Test case.
  `void`
  `testValidReasonLengthHashMap()`
  Tests the TC_2.1_2 Test case with doSave hashmap variant.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReportProxyDAOTest

    public ReportProxyDAOTest()

- ## Method Details

  - ### setUp

    @BeforeEach public void setUp() throws IOException
    Sets up the test environment.
    Throws:
      `IOException` - If an error occurs.

  - ### clear

    @AfterEach public void clear() throws SQLException
    Clears the test environment.
    Throws:
      `SQLException` - If an error occurs.

  - ### testInvalidReasonLength

    @Test @Order(1) public void testInvalidReasonLength()
    Tests the TC_2.1_1 Test case. It tests the invalid description length.

  - ### testValidReasonLength

    @Test @Order(2) public void testValidReasonLength() throws SQLException
    Tests the TC_2.1_2 Test case.
    Throws:
      `SQLException`

  - ### testInvalidReasonLengthHashMap

    @Test @Order(3) public void testInvalidReasonLengthHashMap()
    Tests the TC_2.1_1 Test case. It tests the invalid description length with doSave hashmap variant.

  - ### testValidReasonLengthHashMap

    @Test @Order(3) public void testValidReasonLengthHashMap() throws SQLException
    Tests the TC_2.1_2 Test case with doSave hashmap variant.
    Throws:
      `SQLException`